FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_JPEG_Image Class Reference

The Fl_JPEG_Image class supports loading, caching, and drawing of Joint Photographic Experts Group (JPEG) File Interchange Format (JFIF) images. More...

`#include <Fl_JPEG_Image.H>`

Inheritance diagram for Fl_JPEG_Image:

List of all members.

## Public Member Functions
| Fl_JPEG_Image (const char *filename)
| The constructor loads the JPEG image from the given jpeg filename.
| Fl_JPEG_Image (const char *name, const unsigned char *data)
| The constructor loads the JPEG image from memory.

## Detailed Description

The Fl_JPEG_Image class supports loading, caching, and drawing of Joint Photographic Experts Group (JPEG) File Interchange Format (JFIF) images.

The class supports grayscale and color (RGB) JPEG image files.

## Constructor & Destructor Documentation

Fl_JPEG_Image::Fl_JPEG_Image | ( | const char * | filename | ) |

The constructor loads the JPEG image from the given jpeg filename.

The inherited destructor frees all memory and server resources that are used by the image.

There is no error function in this class. If the image has loaded correctly, w(), h(), and d() should return values greater zero.

Parameters:

  [in] | filename | a full path and name pointing to a valid jpeg file.

Fl_JPEG_Image::Fl_JPEG_Image | ( | const char * | name,
|  | const unsigned char * | data
| ) |  |

The constructor loads the JPEG image from memory.

Construct an image from a block of memory inside the application. Fluid offers "binary Data" chunks as a great way to add image data into the C++ source code. name_png can be NULL. If a name is given, the image is added to the list of shared images (see: Fl_Shared_Image) and will be available by that name.

The inherited destructor frees all memory and server resources that are used by the image.

There is no error function in this class. If the image has loaded correctly, w(), h(), and d() should return values greater zero.

Parameters:

  name | A unique name or NULL
  data | A pointer to the memory location of the JPEG image

The documentation for this class was generated from the following files:

- Fl_JPEG_Image.H
- Fl_JPEG_Image.cxx